Subject: bug#67430: 29.1; <Multi_key> is undefined

From: Eli Zaretskii <[email-masked]>
Date: Sat, 25 Nov 2023 10:19:42 +0200

> Cc: [email-masked]
> Date: Sat, 25 Nov 2023 07:47:49 +0800
> From:  Po Lu via "Bug reports for GNU Emacs,
>  the Swiss army knife of text editors" <[email-masked]>
> 
> Francesco Potortì <[email-masked]> writes:
> 
> > When I run Emacs I can use the X compose key.  Apparently X interprets
> > it so that it is invisible to Emacs, and in fact I cannot see it in
> > the lossage.
> >
> > When I run Emacs over Xpra, apparently Xpra passes the compose key to
> > Emacs.  I would expect it to do the same as C-x8 does, but this is not
> > the case.  In fact, I get the error message "<Multi_key> is
> > undefined".
> >
> > I just corrected the problem with (keymap-global-set "<Multi_key>"
> > iso-transl-ctl-x-8-map), but I wonder why this is necessary at all.  I
> > think this binding should be the default.
> 
> Multi_key isn't uniformly the Compose key, so I'd rather not make such
> rash choices.  My opinion isn't particularly strong in this regard,
> however, and perhaps this isn't a one-off.  If anyone reading this has
> experienced such problems before, please make yourself known.

What other roles does this key play?  And how frequent is each role?

Also, if we bind this key by default as Francesco suggests, what
adverse results could this cause on the systems where this binding is
wrong?